aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorBjörn Gustavsson <[email protected]>2017-02-08 15:27:33 +0100
committerBjörn Gustavsson <[email protected]>2017-02-08 15:33:47 +0100
commit74796de9c7739830bf911f8246b939b6099e1298 (patch)
tree337368ad5f31682e0c0bf80596c304b19b7ee864 /scripts
parentd8f3e9c4760020b25ac279de283361459ae66a8d (diff)
downloadotp-74796de9c7739830bf911f8246b939b6099e1298.tar.gz
otp-74796de9c7739830bf911f8246b939b6099e1298.tar.bz2
otp-74796de9c7739830bf911f8246b939b6099e1298.zip
Reduce size of the log file for Travis CI
The huge log files are problematic. Add shell scripts that captures the log output to a temporary file and only display the log file if an error occurs.
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/build-otp20
1 files changed, 20 insertions, 0 deletions
diff --git a/scripts/build-otp b/scripts/build-otp
new file mode 100755
index 0000000000..388fa8c276
--- /dev/null
+++ b/scripts/build-otp
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+function do_and_log {
+ log="scripts/latest-log.$$"
+ echo -n "$1... "
+ if ./otp_build $2 $3 >$log 2>&1; then
+ echo "done."
+ else
+ echo "failed."
+ tail -n 200 $log
+ echo "*** Failed ***"
+ exit 1
+ fi
+}
+
+do_and_log "Autoconfing" autoconf
+do_and_log "Configuring" configure
+do_and_log "Building OTP" boot -a
+
+exit 0